### Method

# Camel MessageInfo dup_user_tag

since: 3.24

#### Declaration [src]

    gchar*
    camel_message_info_dup_user_tag (
      const CamelMessageInfo* mi,
      const gchar* name
    )

#### Description

No description available.

Available since: 3.24

#### Parameters

`name`

  Type: `const gchar*`

  User tag name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Value of the user tag as newly allocated string, or `NULL` when it is not set. Free it with `g_free()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.